/*******************************************************************************
* File Name: PWMxIn.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_PWMxIn_H) /* Pins PWMxIn_H */
#define CY_PINS_PWMxIn_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "PWMxIn_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 PWMxIn__PORT == 15 && ((PWMxIn__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    PWMxIn_Write(uint8 value);
void    PWMxIn_SetDriveMode(uint8 mode);
uint8   PWMxIn_ReadDataReg(void);
uint8   PWMxIn_Read(void);
void    PWMxIn_SetInterruptMode(uint16 position, uint16 mode);
uint8   PWMxIn_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the PWMxIn_SetDriveMode() function.
     *  @{
     */
        #define PWMxIn_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define PWMxIn_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define PWMxIn_DM_RES_UP          PIN_DM_RES_UP
        #define PWMxIn_DM_RES_DWN         PIN_DM_RES_DWN
        #define PWMxIn_DM_OD_LO           PIN_DM_OD_LO
        #define PWMxIn_DM_OD_HI           PIN_DM_OD_HI
        #define PWMxIn_DM_STRONG          PIN_DM_STRONG
        #define PWMxIn_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define PWMxIn_MASK               PWMxIn__MASK
#define PWMxIn_SHIFT              PWMxIn__SHIFT
#define PWMxIn_WIDTH              1u

/* Interrupt constants */
#if defined(PWMxIn__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in PWMxIn_SetInterruptMode() function.
     *  @{
     */
        #define PWMxIn_INTR_NONE      (uint16)(0x0000u)
        #define PWMxIn_INTR_RISING    (uint16)(0x0001u)
        #define PWMxIn_INTR_FALLING   (uint16)(0x0002u)
        #define PWMxIn_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define PWMxIn_INTR_MASK      (0x01u) 
#endif /* (PWMxIn__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define PWMxIn_PS                     (* (reg8 *) PWMxIn__PS)
/* Data Register */
#define PWMxIn_DR                     (* (reg8 *) PWMxIn__DR)
/* Port Number */
#define PWMxIn_PRT_NUM                (* (reg8 *) PWMxIn__PRT) 
/* Connect to Analog Globals */                                                  
#define PWMxIn_AG                     (* (reg8 *) PWMxIn__AG)                       
/* Analog MUX bux enable */
#define PWMxIn_AMUX                   (* (reg8 *) PWMxIn__AMUX) 
/* Bidirectional Enable */                                                        
#define PWMxIn_BIE                    (* (reg8 *) PWMxIn__BIE)
/* Bit-mask for Aliased Register Access */
#define PWMxIn_BIT_MASK               (* (reg8 *) PWMxIn__BIT_MASK)
/* Bypass Enable */
#define PWMxIn_BYP                    (* (reg8 *) PWMxIn__BYP)
/* Port wide control signals */                                                   
#define PWMxIn_CTL                    (* (reg8 *) PWMxIn__CTL)
/* Drive Modes */
#define PWMxIn_DM0                    (* (reg8 *) PWMxIn__DM0) 
#define PWMxIn_DM1                    (* (reg8 *) PWMxIn__DM1)
#define PWMxIn_DM2                    (* (reg8 *) PWMxIn__DM2) 
/* Input Buffer Disable Override */
#define PWMxIn_INP_DIS                (* (reg8 *) PWMxIn__INP_DIS)
/* LCD Common or Segment Drive */
#define PWMxIn_LCD_COM_SEG            (* (reg8 *) PWMxIn__LCD_COM_SEG)
/* Enable Segment LCD */
#define PWMxIn_LCD_EN                 (* (reg8 *) PWMxIn__LCD_EN)
/* Slew Rate Control */
#define PWMxIn_SLW                    (* (reg8 *) PWMxIn__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define PWMxIn_PRTDSI__CAPS_SEL       (* (reg8 *) PWMxIn__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define PWMxIn_PRTDSI__DBL_SYNC_IN    (* (reg8 *) PWMxIn__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define PWMxIn_PRTDSI__OE_SEL0        (* (reg8 *) PWMxIn__PRTDSI__OE_SEL0) 
#define PWMxIn_PRTDSI__OE_SEL1        (* (reg8 *) PWMxIn__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define PWMxIn_PRTDSI__OUT_SEL0       (* (reg8 *) PWMxIn__PRTDSI__OUT_SEL0) 
#define PWMxIn_PRTDSI__OUT_SEL1       (* (reg8 *) PWMxIn__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define PWMxIn_PRTDSI__SYNC_OUT       (* (reg8 *) PWMxIn__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(PWMxIn__SIO_CFG)
    #define PWMxIn_SIO_HYST_EN        (* (reg8 *) PWMxIn__SIO_HYST_EN)
    #define PWMxIn_SIO_REG_HIFREQ     (* (reg8 *) PWMxIn__SIO_REG_HIFREQ)
    #define PWMxIn_SIO_CFG            (* (reg8 *) PWMxIn__SIO_CFG)
    #define PWMxIn_SIO_DIFF           (* (reg8 *) PWMxIn__SIO_DIFF)
#endif /* (PWMxIn__SIO_CFG) */

/* Interrupt Registers */
#if defined(PWMxIn__INTSTAT)
    #define PWMxIn_INTSTAT            (* (reg8 *) PWMxIn__INTSTAT)
    #define PWMxIn_SNAP               (* (reg8 *) PWMxIn__SNAP)
    
	#define PWMxIn_0_INTTYPE_REG 		(* (reg8 *) PWMxIn__0__INTTYPE)
#endif /* (PWMxIn__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_PWMxIn_H */


/* [] END OF FILE */
