/*******************************************************************************
* File Name: PulsehiISR.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_PulsehiISR_H)
#define CY_ISR_PulsehiISR_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void PulsehiISR_Start(void);
void PulsehiISR_StartEx(cyisraddress address);
void PulsehiISR_Stop(void);

CY_ISR_PROTO(PulsehiISR_Interrupt);

void PulsehiISR_SetVector(cyisraddress address);
cyisraddress PulsehiISR_GetVector(void);

void PulsehiISR_SetPriority(uint8 priority);
uint8 PulsehiISR_GetPriority(void);

void PulsehiISR_Enable(void);
uint8 PulsehiISR_GetState(void);
void PulsehiISR_Disable(void);

void PulsehiISR_SetPending(void);
void PulsehiISR_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the PulsehiISR ISR. */
#define PulsehiISR_INTC_VECTOR            ((reg32 *) PulsehiISR__INTC_VECT)

/* Address of the PulsehiISR ISR priority. */
#define PulsehiISR_INTC_PRIOR             ((reg8 *) PulsehiISR__INTC_PRIOR_REG)

/* Priority of the PulsehiISR interrupt. */
#define PulsehiISR_INTC_PRIOR_NUMBER      PulsehiISR__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable PulsehiISR interrupt. */
#define PulsehiISR_INTC_SET_EN            ((reg32 *) PulsehiISR__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the PulsehiISR interrupt. */
#define PulsehiISR_INTC_CLR_EN            ((reg32 *) PulsehiISR__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the PulsehiISR interrupt state to pending. */
#define PulsehiISR_INTC_SET_PD            ((reg32 *) PulsehiISR__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the PulsehiISR interrupt. */
#define PulsehiISR_INTC_CLR_PD            ((reg32 *) PulsehiISR__INTC_CLR_PD_REG)


#endif /* CY_ISR_PulsehiISR_H */


/* [] END OF FILE */
